Package org.kapott.hbci.sepa.jaxb.pain_001_001_11

## Class DocumentLineInformation1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_001_001_11.DocumentLineInformation1

    public class DocumentLineInformation1
    extends java.lang.Object

Java class for DocumentLineInformation1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DocumentLineInformation1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}DocumentLineIdentification1" maxOccurs="unbounded"/>
             <element name="Desc" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}Max2048Text" minOccurs="0"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}RemittanceAmount3" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected RemittanceAmount3` `amt`
`protected java.lang.String` `desc`
`protected java.util.List<DocumentLineIdentification1>` `id`

### Constructor Summary

Constructors
`DocumentLineInformation1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RemittanceAmount3` `getAmt()` Gets the value of the amt property.
`java.lang.String` `getDesc()` Gets the value of the desc property.
`java.util.List<DocumentLineIdentification1>` `getId()` Gets the value of the id property.
`void` `setAmt​(RemittanceAmount3 value)` Sets the value of the amt property.
`void` `setDesc​(java.lang.String value)` Sets the value of the desc property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    protected java.util.List<DocumentLineIdentification1> id

#### desc

    protected java.lang.String desc

#### amt

    protected RemittanceAmount3 amt

### Constructor Detail

#### DocumentLineInformation1

    public DocumentLineInformation1()

### Method Detail

#### getId

    public java.util.List<DocumentLineIdentification1> getId()

Gets the value of the id property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the id property.

For example, to add a new item, do as follows:

        getId().add(newItem);

Objects of the following type(s) are allowed in the list `DocumentLineIdentification1`

#### getDesc

    public java.lang.String getDesc()

Gets the value of the desc property.

Returns:
  possible object is `String`

#### setDesc

    public void setDesc​(java.lang.String value)

Sets the value of the desc property.

Parameters:
  `value` - allowed object is `String`

#### getAmt

    public RemittanceAmount3 getAmt()

Gets the value of the amt property.

Returns:
  possible object is `RemittanceAmount3`

#### setAmt

    public void setAmt​(RemittanceAmount3 value)

Sets the value of the amt property.

Parameters:
  `value` - allowed object is `RemittanceAmount3`